Skip to main content
POST
/
api
/
auth
/
login
Authenticate user and issue access/refresh tokens
curl --request POST \
  --url https://app.narrativebanking.com/api/auth/login \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "user@example.com",
  "password": "<password>"
}
'
{
  "accessToken": "jwt.access.token",
  "refreshToken": "jwt.refresh.token",
  "userId": "1005",
  "tenantId": "2001"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string<email>
required
password
string
required

Response

Authenticated

accessToken
string
required
refreshToken
string
required
userId
string
required
tenantId
string
required